@import "assets/Nunito/stylesheet.css";
@import "assets/VictorMono/stylesheet.css";

:root {
    --focus-color: #ec1818;
    --transparent-focus-color: #ec181888;
    --more-transparent-focus-color: #ec181844;
}

body {
    background-color: #131313;
    color: #E3E3E3;
    font-family: Nunito, Arial, Helvetica, sans-serif;
}

h1 {
    font-weight: 900;
    margin-top: 1em;
    margin-bottom: 1em;
    font-size: 2em;
}

h2 {
    font-size: 1.7em;
    color: var(--focus-color);
}

h3 {
    margin-top: 2em;
    font-size: 1.3em;
    margin-left: 1em;
}

h4 {
    margin-top: 1.5em;
    font-size: 1.1em;
    margin-left: 2em;
}

a {
    text-decoration: none;
}

#header {
    text-align: center;
    margin-top: 3em;
    margin-bottom: 5em;
    padding-bottom: 1em;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-wrap: wrap;
    flex-direction: column;
    border-bottom: solid 1px var(--focus-color);
    box-shadow: 0 50px 50px var(--focus-color)66;
}

@media (min-width: 782px) {
  #header {
    flex-wrap: nowrap;
    flex-direction: row;
  }
  #logo {
    margin-right: 1em;
  }
}

#logo img {
    aspect-ratio: 1;
    object-fit: contain;
    width: 128px;
}

#title {
    margin-bottom: 0;
}

#tagline {
    margin-top: 0;
    color: var(--focus-color);
    font-weight: 500;
}


#main-buttons-wrapper {
    margin-top: 0;
    margin-bottom: 1em;
    /*margin-left: auto;
    margin-right: auto;*/
    max-width: 1280px;
    min-width: 200px;
    padding-left: 20px;
    padding-right: 60px;
}

#main-buttons {
    display: flex;
    gap: 2px 2px;
    align-items: stretch;
    justify-content: center;
    box-sizing: border-box;
    flex-wrap: nowrap;
    max-width: 300px;
    margin-right:auto;
    margin-left:auto;
    flex-direction: column;
}

#header-buttons {
    display: flex;
    gap: 1em;
    align-items: center;
    justify-content: center;
    box-sizing: border-box;
    flex-wrap: wrap;
    margin-right:auto;
    margin-left:auto;
    margin-bottom: 1em;
    flex-direction: row;
}

.button {
    padding: .5em;

    display: flex;
    flex-direction: row;
    flex-wrap: nowrap;
    justify-content: flex-start;
    align-items: center;
}

.button-image {

    margin: 0;
    text-align: center;
}

.button-image img {
    aspect-ratio: 1;
    object-fit: contain;
    width: 40px;
}

.button-title {
    margin: 0;
    margin-left: 1em;
    text-align: left;
    font-size: 1em;
}

#main-buttons .button {
    background-color: #E3E3E3;
    padding: .5em;
}

#main-buttons .button:hover {
    background-color: var(--focus-color);
}

#header-buttons .button {
    border: var(--focus-color) solid 1px;
    padding: .2em 1em;
    border-radius: 9999px;
}

#header-buttons .button:hover {
    border-color: #E3E3E3;
}


#main-buttons .button-title a {
    color: #121212;
    font-weight: 600;
}

#main-buttons .button:hover .button-title a{
    color: #E3E3E3;
}

#header-buttons .button-title a {
    color: var(--focus-color);
    font-weight: 700;
}

#header-buttons .button:hover .button-title a {
    color: #E3E3E3;
}

#main-buttons div:first-child {
    border-top-left-radius: 10px;
    border-top-right-radius: 10px;
    border-bottom-left-radius: 0;
}
#main-buttons div:last-child {
    border-top-right-radius: 0;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
}

#content {
    margin-left: auto;
    margin-right: auto;
    text-align: left;
    
    display: flex;
    flex-wrap: wrap;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

#home {
    max-width: 900px;
}

@media (min-width: 782px) {
  #content {
    flex-wrap: nowrap;
    flex-direction: row;
    align-items: flex-start;
  }
}

#home h3::before {
    content: "○ ";
    color: var(--focus-color);
}

#home blockquote {
    font-family: 'Victor Mono', 'Courier', 'sans-serif', 'mono';
    font-size: .9em;
    box-shadow: 0 0 20px var(--more-transparent-focus-color);
    border: 1px dashed var(--transparent-focus-color);
    border-radius: 10px;
    padding-left: 1em;
}

#home blockquote p::before {
    content: "> ";
    color: var(--focus-color);
    font-weight: 800;
}

#home ul {
    list-style-type: none;
    margin: 0;
    padding-left: 2em;
    padding-top: 1em;
    padding-right: 1em;
    box-shadow: 0 0 50px var(--focus-color)66;
    border: 1px dashed var(--focus-color);
    border-radius: 10px;
}

#home ul li {
    margin-bottom: 1em;
}

#home ul li::before {
    content: "● ";
    color: var(--focus-color);
}

#home img {
    max-width:100%;
    max-height:100%;
    height:auto;
    box-shadow: 0 0 100px var(--transparent-focus-color);
    border: 3px solid var(--focus-color);
    border-radius: 10px;
    margin-top: 50px;
    margin-bottom: 50px;
}

#home a {
    color: var(--focus-color);
    font-family: 'Victor Mono', 'Courier', 'sans-serif', 'mono';
    font-size: .9em;
}

#footer {
    text-align: center;
    margin-top: 5em;
    border-top: solid 1px var(--focus-color);
    box-shadow: 0 -50px 50px var(--focus-color)66;
}

#footer a {
    color: #E3E3E3;
    font-weight: 900;
}

#footer a:hover {
    color: var(--focus-color);
}